compact1, compact2, compact3
java.net

## Interface CookiePolicy

-     public interface CookiePolicy

  CookiePolicy implementations decide which cookies should be accepted and which should be rejected. Three pre-defined policy implementations are provided, namely ACCEPT_ALL, ACCEPT_NONE and ACCEPT_ORIGINAL_SERVER.

  See RFC 2965 sec. 3.3 and 7 for more detail.

  Since:
    1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CookiePolicy` | `ACCEPT_ALL` | One pre-defined policy which accepts all cookies.
    `static CookiePolicy` | `ACCEPT_NONE` | One pre-defined policy which accepts no cookies.
    `static CookiePolicy` | `ACCEPT_ORIGINAL_SERVER` | One pre-defined policy which only accepts cookies from original server.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `shouldAccept(URI uri, HttpCookie cookie)` | Will be called to see whether or not this cookie should be accepted.

- - ### Field Detail

    - #### ACCEPT_ALL

          static final CookiePolicy ACCEPT_ALL

      One pre-defined policy which accepts all cookies.

    - #### ACCEPT_NONE

          static final CookiePolicy ACCEPT_NONE

      One pre-defined policy which accepts no cookies.

    - #### ACCEPT_ORIGINAL_SERVER

          static final CookiePolicy ACCEPT_ORIGINAL_SERVER

      One pre-defined policy which only accepts cookies from original server.

  - ### Method Detail

    - #### shouldAccept

          boolean shouldAccept(URI uri,
                               HttpCookie cookie)

      Will be called to see whether or not this cookie should be accepted.
      Parameters:
        `uri` - the URI to consult accept policy with
        `cookie` - the HttpCookie object in question
      Returns:
        `true` if this cookie should be accepted; otherwise, `false`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.